from datetime import datetime
import sys
import os
from numpy import *
from scipy import *
import scipy.io as sio

#FUNCTIONS#############################################
def function(b,h,l,rho,E,F):

    Jz= (1.0/12.0)*b*h**3.0

    v = (F*l**3.0)/(3.0*E*Jz) 
    m = rho*l*b*h  
    
    return v,m
    
def function_variable_read_from_file(file_id):

    file_input  = open(file_id,'r')
    
    data          = array([map(float,line.split()) for line in file_input])
    
    return data
    
def function_value_write_to_file(v,m):
    
    file_output = open('output_pareto.txt', 'w')
    
    file_output.write('%1.16e \n' % v)
    file_output.write('%1.16e \n' % m)
#FUNCTIONS#############################################    

#FUNCTIONS CALL########################################

bhlrhoEF  =   function_variable_read_from_file('input_pareto.txt')

v,m       =   function(bhlrhoEF[0],bhlrhoEF[1],bhlrhoEF[2],bhlrhoEF[3],bhlrhoEF[4],bhlrhoEF[5])

function_value_write_to_file(v,m)
#FUNCTIONS CALL########################################